%global pkg_name        YAML-Syck
%global pkg_version     0.99
%global rpm_pkg_version 0.99
%global rpm_pkg_release 1.n0i.14

Summary:       Fast, lightweight YAML loader and dumper
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AU/AUDREYT/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)

Provides:      perl(:JSON)


%description
This module provides a Perl interface to the libsyck data serialization
library. It exports the "Dump" and "Load" functions for converting Perl
data structures to YAML strings, and the other way around.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes COMPATIBILITY COPYING README


%changelog
* Tue Oct 23 2007 Marius Feraru <altblue@n0i.net> - 0.99-1.n0i.14
- version 0.99

* Sun Oct 14 2007 Marius Feraru <altblue@n0i.net> - 0.98-1.n0i.13
- version 0.98

* Thu Sep 13 2007 Marius Feraru <altblue@n0i.net> - 0.97-2.n0i.12
- provide an artificial "perl(:JSON)" feature

* Mon Sep 03 2007 Marius Feraru <altblue@n0i.net> - 0.97-1.n0i.11
- version 0.97

* Sun Aug 12 2007 Marius Feraru <altblue@n0i.net> - 0.96-1.n0i.10
- version 0.96

* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.94-1.n0i.9
- version 0.94

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.85-1.n0i.8
- version 0.85

* Wed Jan 10 2007 Marius FERARU <altblue@n0i.net> - 0.72-1.n0i.7
- version 0.72
- spec file (re)created using N0i::CPAN::RPMizer v1.14.0

* Sun Jul 02 2006 Marius Feraru <altblue@n0i.net> - 0.61-1.n0i.6
- version 0.61

* Sun May 28 2006 Marius Feraru <altblue@n0i.net> - 0.45-1.n0i.5
- version 0.45

* Thu May 04 2006 Marius Feraru <altblue@n0i.net> - 0.44-1.n0i.4
- version 0.44

* Tue May 02 2006 Marius Feraru <altblue@n0i.net> - 0.43-1.n0i.3
- version 0.43

* Sat Apr 01 2006 Marius Feraru <altblue@n0i.net> - 0.41-1.n0i.2
- version 0.41

* Mon Mar 27 2006 Marius Feraru <altblue@n0i.net> 0.38-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.11
- rebuild on perl 5.8.8
